3.2.5 Invoke the API using the Access Token

To invoke the API using the generated Access Token, do as shown in the following example using cURL Commands in the CLI Tool:

curl -iL -H "Authorization: Bearer <access token>" -H "Content-Type: <content_type>" -d "<request_body>" --cacert <certificate(.pem)> -X <http_verb> <api_url>

curl -iL -H "Authorization: Bearer <AUTH_TOKEN>"

-H "Content-Type: application/json" -d "{\"type\":\"files\",\"data\":[{\"fileName\":\"testtoken\",\"mimeType\":\"text/plain\",\"fileSize\":

123}]}" --cacert outcert.pem -X POST https://<DFCS-URL>/<TENANT><APP_ID>/dsa/utils/getObjStoreParUrl

Note:

The maximum number of files that can be uploaded per API request is 11. If the number of files exceeds this limit, the system returns an error response.
Sample Error Response
{
  "code": "DIH0000",
  "body": {
    "errorCode": "FSS-0165",
    "errorDescription": "Number of file uploads requested are more than configured limit",
    "errorParameters": []
  }
}